# Class Strings

java.lang.Object
org.a11y.brlapi.Strings

public abstract class Strings extends Object

## Method Summary

Modifier and Type
Method
Description
`static String`
`compressEmptyLines(String text)`
`static String`
`compressWhitespace(String text)`
`static int`
`findNonemptyLine(CharSequence text)`
`static int`
`findTrailingWhitespace(CharSequence text)`
`static String`
`formatParagraphs(String text)`
`static String`
`formatParagraphs(String text, int width)`
`static Matcher`
`getMatcher(String expression, String text)`
`static Pattern`
`getPattern(String expression)`
`static boolean`
`isAbbreviation(String actual, String supplied)`
`static String`
`removeTrailingWhitespace(String text)`
`static String`
`replaceAll(String text, String expression, String replacement)`
`static String`
`wordify(String string)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isAbbreviation

public static boolean isAbbreviation(String actual, String supplied)

### getPattern

public static Pattern getPattern(String expression)

### getMatcher

public static Matcher getMatcher(String expression, String text)

### replaceAll

public static String replaceAll(String text, String expression, String replacement)

### wordify

public static String wordify(String string)

### findNonemptyLine

public static int findNonemptyLine(CharSequence text)

### findTrailingWhitespace

public static int findTrailingWhitespace(CharSequence text)

### removeTrailingWhitespace

public static String removeTrailingWhitespace(String text)

### compressWhitespace

public static String compressWhitespace(String text)

### compressEmptyLines

public static String compressEmptyLines(String text)

### formatParagraphs

public static String formatParagraphs(String text, int width)

### formatParagraphs

public static String formatParagraphs(String text)